Upstream information

CVE-2019-13225 at MITRE

Description

A NULL Pointer Dereference in match_at() in regexec.c in Oniguruma 6.9.2 allows attackers to potentially cause denial of service by providing a crafted regular expression. Oniguruma issues often affect Ruby, as well as common optional libraries for PHP and Rust.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1141157 [NEW]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 8
  • apcu-panel >= 5.1.17-1.module+el8.1.0+3189+a1bff096
  • libzip >= 1.5.2-1.module+el8.1.0+3189+a1bff096
  • libzip-devel >= 1.5.2-1.module+el8.1.0+3189+a1bff096
  • libzip-tools >= 1.5.2-1.module+el8.1.0+3189+a1bff096
  • oniguruma >= 6.8.2-2.el8
  • oniguruma-devel >= 6.8.2-2.el8
  • php >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-bcmath >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-cli >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-common >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-dba >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-dbg >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-devel >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-embedded >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-enchant >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-fpm >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-gd >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-gmp >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-intl >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-json >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-ldap >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-mbstring >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-mysqlnd >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-odbc >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-opcache >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-pdo >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-pear >= 1.10.9-1.module+el8.1.0+3189+a1bff096
  • php-pecl-apcu >= 5.1.17-1.module+el8.1.0+3189+a1bff096
  • php-pecl-apcu-devel >= 5.1.17-1.module+el8.1.0+3189+a1bff096
  • php-pecl-rrd >= 2.0.1-1.module+el8.2.0+4968+1d5097db
  • php-pecl-xdebug >= 2.8.0-1.module+el8.2.0+4968+1d5097db
  • php-pecl-zip >= 1.15.4-1.module+el8.1.0+3189+a1bff096
  • php-pgsql >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-process >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-recode >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-snmp >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-soap >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-xml >= 7.3.20-1.module+el8.2.0+7373+b272fdef
  • php-xmlrpc >= 7.3.20-1.module+el8.2.0+7373+b272fdef
Patchnames:
RHSA-2020:3662
RHSA-2020:4827
SUSE Linux Enterprise Micro 6.0
  • libonig5 >= 6.9.8-2.8
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA libonig5-6.9.8-2.8
openSUSE Tumbleweed
  • libonig5 >= 6.9.7.1-1.2
  • oniguruma-devel >= 6.9.7.1-1.2
Patchnames:
openSUSE-Tumbleweed-2024-11111


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 oniguruma Unsupported
SUSE Linux Enterprise Desktop 15 SP5 oniguruma Affected
SUSE Linux Enterprise Desktop 15 SP6 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP5 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP6 oniguruma Affected
SUSE Linux Enterprise Micro 5.1 oniguruma Affected
SUSE Linux Enterprise Micro 5.2 oniguruma Affected
SUSE Linux Enterprise Micro 5.3 oniguruma Affected
SUSE Linux Enterprise Micro 5.4 oniguruma Affected
SUSE Linux Enterprise Micro 5.5 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP6 oniguruma Affected
SUSE Linux Enterprise Server 12 SP5 oniguruma Unsupported
SUSE Linux Enterprise Server 15 SP5 oniguruma Affected
SUSE Linux Enterprise Server 15 SP6 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 oniguruma Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 oniguruma Unsupported
SUSE Manager Proxy 4.3 oniguruma Affected
SUSE Manager Retail Branch Server 4.3 oniguruma Affected
SUSE Manager Server 4.3 oniguruma Affected
openSUSE Leap 15.5 oniguruma Affected
openSUSE Leap 15.6 oniguruma Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS oniguruma Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 oniguruma Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 oniguruma Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP4 oniguruma Affected
SUSE Linux Enterprise Server 15 SP2 oniguruma Affected
SUSE Linux Enterprise Server 15 SP2-LTSS oniguruma Affected
SUSE Linux Enterprise Server 15 SP3 oniguruma Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS oniguruma Affected
SUSE Linux Enterprise Server 15 SP4 oniguruma Affected
SUSE Linux Enterprise Server 15 SP4-LTSS oniguruma Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 oniguruma Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 oniguruma Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 oniguruma Unsupported
SUSE CaaS Platform 4.0 oniguruma Affected
SUSE CaaS Platform 4.5 oniguruma Unsupported
SUSE Enterprise Storage 6 oniguruma Unsupported
SUSE Enterprise Storage 7 oniguruma Affected
SUSE Linux Enterprise Desktop 12 oniguruma Unsupported
SUSE Linux Enterprise Desktop 12 SP1 oniguruma Unsupported
SUSE Linux Enterprise Desktop 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Desktop 12 SP3 oniguruma Unsupported
SUSE Linux Enterprise Desktop 12 SP4 oniguruma Unsupported
SUSE Linux Enterprise Desktop 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise Desktop 15 SP2 oniguruma Affected
SUSE Linux Enterprise Desktop 15 SP3 oniguruma Unsupported
SUSE Linux Enterprise High Performance Computing 12 SP4 oniguruma Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS oniguruma Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS oniguruma Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise Real Time 15 SP2 oniguruma Unsupported
SUSE Linux Enterprise Real Time 15 SP3 oniguruma Affected
SUSE Linux Enterprise Real Time 15 SP4 oniguruma Affected
SUSE Linux Enterprise Server 12 oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP1 oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP1-LTSS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP2-BCL oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP2-ESPOS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP2-LTSS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP3 oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP3-BCL oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP3-LTSS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP4 oniguruma Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS oniguruma Unsupported
SUSE Linux Enterprise Server 12 SP4-LTSS oniguruma Unsupported
SUSE Linux Enterprise Server 12-LTSS oniguruma Unsupported
SUSE Linux Enterprise Server 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise Server 15 SP1-BCL oniguruma Affected
SUSE Linux Enterprise Server 15 SP1-LTSS oniguruma Affected
SUSE Linux Enterprise Server 15 SP2-BCL oniguruma Affected
SUSE Linux Enterprise Server 15 SP3-BCL oniguruma Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 oniguruma Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 oniguruma Unsupported
SUSE Linux Enterprise Software Development Kit 12 oniguruma Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 oniguruma Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 oniguruma Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 oniguruma Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 oniguruma Unsupported
SUSE Manager Proxy 4.0 oniguruma Unsupported
SUSE Manager Proxy 4.1 oniguruma Unsupported
SUSE Manager Proxy 4.2 oniguruma Unsupported
SUSE Manager Retail Branch Server 4.0 oniguruma Unsupported
SUSE Manager Retail Branch Server 4.1 oniguruma Unsupported
SUSE Manager Retail Branch Server 4.2 oniguruma Unsupported
SUSE Manager Server 4.0 oniguruma Unsupported
SUSE Manager Server 4.1 oniguruma Unsupported
SUSE Manager Server 4.2 oniguruma Unsupported
SUSE OpenStack Cloud 7 oniguruma Unsupported
SUSE OpenStack Cloud 8 oniguruma Unsupported
SUSE OpenStack Cloud 9 oniguruma Unsupported
SUSE OpenStack Cloud Crowbar 8 oniguruma Unsupported
SUSE OpenStack Cloud Crowbar 9 oniguruma Unsupported


SUSE Timeline for this CVE

CVE page created: Wed Jul 10 21:12:01 2019
CVE page last modified: Sun Jun 16 00:39:09 2024